Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1367348 - PrebuiltExeInSrpm - rhscon-core
Summary: PrebuiltExeInSrpm - rhscon-core
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: distribution
Version: 2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3
Assignee: Nishanth Thomas
QA Contact: sds-qe-bugs
URL: http://brewtap.app.eng.bos.redhat.com...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 09:05 UTC by Martin Kudlej
Modified: 2017-03-23 04:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-23 04:05:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gerrithub.io 288418 None None None 2016-08-22 11:43:55 UTC

Description Martin Kudlej 2016-08-16 09:05:52 UTC
PrebuiltExeInSrpm

SRPM includes files that appear to be prebuilt executables. Red Hat can only ship binaries built in Brew.

See the Fedora Packaging Guidelines
in subpackage rhscon-core → skyring-0.0.41.tar.gz
 	Prebuilt executable detected inside SRPM
 	...in skyring-0.0.41/build-aux/vet
   File type is: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), statically linked, not stripped
 	...in skyring-0.0.41/vendor/github.com/skyrings/skyring-common/build-aux/vet
   File type is: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), statically linked, not stripped

See: https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#No_inclusion_of_pre-built_binaries_or_libraries


Note You need to log in before you can comment on or make changes to this bug.